<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__pll__manual__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_pll_manual_config_t</compoundname>
    <includes local="no">cy_sysclk.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__pll__manual__config__t_1a0bf5e1425fbb3a69aa2b9ec4b921b236" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pll_manual_config_t::feedbackDiv</definition>
        <argsstring />
        <name>feedbackDiv</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, FEEDBACK_DIV (P) bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1058" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1058" />
      </memberdef>
      <memberdef id="structcy__stc__pll__manual__config__t_1a7545c17f5208b956d90f86d38ca6974f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pll_manual_config_t::referenceDiv</definition>
        <argsstring />
        <name>referenceDiv</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, REFERENCE_DIV (Q) bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1059" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1059" />
      </memberdef>
      <memberdef id="structcy__stc__pll__manual__config__t_1abe8bbccfd7d952e84515784c13c99ea9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_pll_manual_config_t::outputDiv</definition>
        <argsstring />
        <name>outputDiv</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, OUTPUT_DIV bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1060" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1060" />
      </memberdef>
      <memberdef id="structcy__stc__pll__manual__config__t_1af681c23d3186d2a38661c8019bb3a8a6" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_pll_manual_config_t::lfMode</definition>
        <argsstring />
        <name>lfMode</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, PLL_LF_MODE bit. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1061" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1061" />
      </memberdef>
      <memberdef id="structcy__stc__pll__manual__config__t_1a9e2b4c76d69fcbd676eb18cf91537c12" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref></type>
        <definition>cy_en_fll_pll_output_mode_t cy_stc_pll_manual_config_t::outputMode</definition>
        <argsstring />
        <name>outputMode</name>
        <briefdescription>
<para>CLK_PLL_CONFIG register, BYPASS_SEL bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1062" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1062" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure containing information for manual configuration of a PLL. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="1063" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="1056" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="1057" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__pll__manual__config__t_1a0bf5e1425fbb3a69aa2b9ec4b921b236" virt="non-virtual"><scope>cy_stc_pll_manual_config_t</scope><name>feedbackDiv</name></member>
      <member prot="public" refid="structcy__stc__pll__manual__config__t_1af681c23d3186d2a38661c8019bb3a8a6" virt="non-virtual"><scope>cy_stc_pll_manual_config_t</scope><name>lfMode</name></member>
      <member prot="public" refid="structcy__stc__pll__manual__config__t_1abe8bbccfd7d952e84515784c13c99ea9" virt="non-virtual"><scope>cy_stc_pll_manual_config_t</scope><name>outputDiv</name></member>
      <member prot="public" refid="structcy__stc__pll__manual__config__t_1a9e2b4c76d69fcbd676eb18cf91537c12" virt="non-virtual"><scope>cy_stc_pll_manual_config_t</scope><name>outputMode</name></member>
      <member prot="public" refid="structcy__stc__pll__manual__config__t_1a7545c17f5208b956d90f86d38ca6974f" virt="non-virtual"><scope>cy_stc_pll_manual_config_t</scope><name>referenceDiv</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>